> For the complete documentation index, see [llms.txt](https://docs.codesign.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codesign.pro/paid-scripts/cd_mechanic/migration-guide.md).

# Migration Guide

***

{% hint style="info" %}

#### Migration Type Key

<mark style="color:$success;">**Built-In Migration**</mark>

* Automatically supported with no SQL changes, code changes, or manual setup required.

<mark style="color:$info;">**Minor Migration Required**</mark>

* Requires a simple command, SQL query, or small code change. All required queries or code are provided. Usually completed in minutes.

<mark style="color:$warning;">**Moderate Migration Required**</mark>

* Requires provided SQL queries and some code changes across a few files. Usually completed in 5–15 minutes.

<mark style="color:$danger;">**Major Migration Required**</mark>

* Requires multiple SQL queries and larger code changes across several files. Usually takes 1+ hours.
  {% endhint %}

***

## Supported Mechanic Migrations

See which mechanic scripts can be migrated to `cd_mechanic` while keeping existing vehicle progress and saved data where possible.

| Script Name                                                                                                       | Migration Type                                                 | Notes                                                          |
| ----------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- | -------------------------------------------------------------- |
| [esx\_mechanicjob](https://github.com/esx-framework/ESX-Legacy-Addons/tree/main/%5Besx_addons%5D/esx_mechanicjob) | <mark style="color:$success;">**Built-In Migration**</mark>    |                                                                |
| jg\_mechanic                                                                                                      | <mark style="color:$info;">**Minor Migration Required**</mark> | *A single chat command is used to run the database migration.* |
| [qb-mechanicjob](https://github.com/qbcore-framework/qb-mechanicjob)                                              | <mark style="color:$success;">**Built-In Migration**</mark>    |                                                                |

***

## Migration Data Comparison

This table shows what important data can usually be kept when moving to our mechanic system.

{% hint style="info" %}

#### Key

✅ **Migrated / Reused**

* Existing data can be migrated or reused

❌ **Reconfigure**

* Existing data cannot be migrated or reused, but can be reconfigured again

⚠️ **Not Used**

* Your old mechanic script does not have this feature
  {% endhint %}

<table data-header-hidden="false" data-header-sticky><thead><tr><th>Data</th><th width="164.3333740234375">esx_mechanicjob</th><th width="129.3333740234375">jg_mechanic</th><th width="155.333251953125">qb-mechanicjob</th></tr></thead><tbody><tr><td>GTA performance upgrades</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Cosmetic upgrades</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Vehicle paint</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Engine / body health</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Registered inventory items</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>job inventory/stash item contents</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Jobs</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Society account</td><td>✅</td><td>✅</td><td>✅</td></tr><tr><td>Advanced upgrades</td><td>⚠️ </td><td>✅</td><td>⚠️ </td></tr><tr><td>Advanced tuning</td><td>⚠️ </td><td>✅</td><td>⚠️ </td></tr><tr><td>Degradable / service parts</td><td>⚠️ </td><td>✅</td><td>⚠️ </td></tr><tr><td>Nitrous</td><td>⚠️ </td><td>✅</td><td>⚠️ </td></tr><tr><td>Stancer</td><td>⚠️ </td><td>✅</td><td>⚠️ </td></tr><tr><td>Player run business locations</td><td>❌</td><td>❌</td><td>❌</td></tr><tr><td>LS Customs locations</td><td>❌</td><td>❌</td><td>❌</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/cd_mechanic/migration-guide.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
